org.firebirdsql.jdbc.metadata

## Class GetFunctions

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetFunctions

    @InternalApi
    public abstract class GetFunctions
    extends java.lang.Object

Provides the implementation for `DatabaseMetaData.getFunctions(String, String, String)`.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`static GetFunctions` `create(DbMetadataMediator mediator)` Creates an instance of `GetFunctions`.
`java.sql.ResultSet` `getFunctions(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFunctions

    public final java.sql.ResultSet getFunctions(java.lang.String catalog,
                                  java.lang.String schemaPattern,
                                  java.lang.String functionNamePattern)
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`
See Also:
  `DatabaseMetaData.getFunctions(String, String, String)`

#### create

    public static GetFunctions create(DbMetadataMediator mediator)

Creates an instance of `GetFunctions`.

Parameters:
  `mediator` - Database metadata mediator
Returns:
  Instance